package com.ss.android.ugc.aweme.compliance.privacy.settings.account.pages.qa;

import X.C39713qF;
import X.C39763qK;
import X.C39773qL;
import X.C39813qP;
import X.CqM;
import X.M12;
import X.PgU;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.base.api.BaseResponse;
import com.ss.android.ugc.aweme.compliance.privacy.settings.base.BasePrivacySettingViewModel;
import kotlin.h.b.n;

public final class QAProfileEntranceViewModel extends BasePrivacySettingViewModel {
    static {
        Covode.recordClassIndex(61751);
    }

    public final PgU<BaseResponse> LIZ(int i) {
        PgU<BaseResponse> LIZ = C39763qK.LIZ.setQAStatus(i).LIZIZ(C39773qL.LIZ).LIZ(C39713qF.LIZ);
        n.LIZIZ(LIZ, "");
        return LIZ;
    }

    public final void LIZ(int i, BaseResponse baseResponse) {
        M12.LIZ(baseResponse);
        super.LIZ(i, baseResponse);
        CqM.LIZ(new C39813qP());
    }
}
